/Profile/All
GET
/Profile/All
const url = 'https://api.chatfood.app/Profile/All?size=20&sortBy=updated_at&sortOrder=desc&providerId=1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.chatfood.app/Profile/All?size=20&sortBy=updated_at&sortOrder=desc&providerId=1' \ --header 'Authorization: Bearer <token>'Authorizations
Seção intitulada “Authorizations”Parameters
Seção intitulada “Parameters”Query Parameters
Seção intitulada “Query Parameters”cursor
string
size
integer format: int32
pageIds
Array<string>
searchTerm
string
sortBy
string
sortOrder
string
providerId
integer format: int32
tags
Array<string>
Responses
Seção intitulada “Responses”OK
object
count
integer format: int64
value
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
name
string
surname
string
username
string
email
string
phone
string
pictureUrl
string
pageId
string format: uuid
pageAccountId
string format: uuid
pageReferenceId
string
pageName
string
providerId
integer format: int32
profileReferenceId
string
properties
object
key
additional properties
string
tags
Array<string>
tagEvents
Array<object>
object
tag
string
action
integer format: int32
occurredAt
string format: date-time
hasMore
boolean
nextCursor
string
categoryCounts
Array<object>
object
categoryId
string format: uuid
categoryName
string
count
integer format: int32
object
count
integer format: int64
value
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
name
string
surname
string
username
string
email
string
phone
string
pictureUrl
string
pageId
string format: uuid
pageAccountId
string format: uuid
pageReferenceId
string
pageName
string
providerId
integer format: int32
profileReferenceId
string
properties
object
key
additional properties
string
tags
Array<string>
tagEvents
Array<object>
object
tag
string
action
integer format: int32
occurredAt
string format: date-time
hasMore
boolean
nextCursor
string
categoryCounts
Array<object>
object
categoryId
string format: uuid
categoryName
string
count
integer format: int32
Example
{ "value": [ { "providerId": 1, "tagEvents": [ { "action": 0 } ] } ]}object
count
integer format: int64
value
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
name
string
surname
string
username
string
email
string
phone
string
pictureUrl
string
pageId
string format: uuid
pageAccountId
string format: uuid
pageReferenceId
string
pageName
string
providerId
integer format: int32
profileReferenceId
string
properties
object
key
additional properties
string
tags
Array<string>
tagEvents
Array<object>
object
tag
string
action
integer format: int32
occurredAt
string format: date-time
hasMore
boolean
nextCursor
string
categoryCounts
Array<object>
object
categoryId
string format: uuid
categoryName
string
count
integer format: int32
Example
{ "value": [ { "providerId": 1, "tagEvents": [ { "action": 0 } ] } ]}